
Figure - Bug #119339
【AF】【EVT3】【MTBF】0804DB版本MTBF测试异常重启，且一直卡在启动动画界面无法正常启动
2023-08-31 17:26 - 物联网测试组_TSCD 王维

Status: ASSIGNED Start date: 2023-08-31

Priority: Normal Due date:

Assignee: Multimedia组-RD3_TSCD 梁卿山 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0804DB

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

跑测时长约10天，出现异常时间点20230831 15：56：16

History

#1 - 2023-10-31 09:46 - CD FW 曹覃刚

- Assignee changed from CD TPM-王祥林 to CD FW-程天颖

#2 - 2023-11-02 14:50 - CD FW-廖涛

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to Multimedia组-RD3_TSCD 梁卿山

■ My analysis

从重启后的日志看，是因为 audio service 启动失败，导致系统无法正常启动。错误日志如下：

08-31 15:56:51.635     0     0 I [2324649.834120] init: starting service 'vendor.audio-hal'...

08-31 15:56:51.639     0     0 I [2324649.842916] init: starting service 'audioserver'...

08-31 15:56:51.647     0     0 I [2324649.851072] init: processing action (init.svc.audioserver=running) from (/system/etc/init/audioserver.rc:38)

08-31 15:56:51.647     0     0 I [2324649.851419] init: Command 'start vendor.audio-hal-4-0-msd' action=init.svc.audioserver=running

(/system/etc/init/audioserver.rc:40) took 0ms and failed: service vendor.audio-hal-4-0-msd not found

08-31 15:56:51.647     0     0 I [2324649.851552] init: Command 'start audio_proxy_service' action=init.svc.audioserver=running

(/system/etc/init/audioserver.rc:41) took 0ms and failed: service audio_proxy_service not found

08-31 15:56:51.647     0     0 I [2324649.851661] init: Command 'start vendor.audio-hal-2-0' action=init.svc.audioserver=running

(/system/etc/init/audioserver.rc:43) took 0ms and failed: service vendor.audio-hal-2-0 not found

08-31 15:56:51.647     0     0 I [2324649.851788] init: Command 'start audio-hal-2-0' action=init.svc.audioserver=running (/system/etc/init/audioserver.rc:44) took

0ms and failed: service audio-hal-2-0 not found

08-31 15:56:51.672 10167 10167 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 10167 (android.hardwar), pid 10167 (android.hardwar)

08-31 15:56:51.709     0     0 I [2324649.913223] binder: 10168:10168 ioctl 40046210 7ff6cd5eb4 returned -22

08-31 15:56:51.709     0     0 I [2324649.913253] binder: 10168:10168 ioctl 40046210 7ff6cd5ed4 returned -22

08-31 15:56:51.727     0     0 E [2324649.929339] init: Control message: Could not find 'android.hardware.audio.effect@6.0::IEffectsFactory/default' for

ctl.interface_start from pid: 536 (/system/bin/hwservicemanager)

08-31 15:56:51.727     0     0 E [2324649.930952] init: Control message: Could not find 'android.hardware.audio.effect@6.0::IEffectsFactory/default' for

ctl.interface_start from pid: 536 (/system/bin/hwservicemanager)

08-31 15:56:51.747     0     0 I [2324649.950442] logd: logdr: UID=1041 GID=1005 PID=10175 n tail=0 logMask=8 pid=10167 start=0ns deadline=0ns

08-31 15:56:51.755     0     0 I [2324649.956260] logd: logdr: UID=1041 GID=1005 PID=10175 n tail=0 logMask=1 pid=10167 start=0ns deadline=0ns

08-31 15:56:51.756     0     0 E [2324649.960977] link_delay_work_func: DTC_ETH: SQI=0, link=0
08-31 15:56:51.757 10175 10175 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***

08-31 15:56:51.757 10175 10175 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/5207:user/release-keys'

08-31 15:56:51.757 10175 10175 F DEBUG   : Revision: '0'

08-31 15:56:51.757 10175 10175 F DEBUG   : ABI: 'arm'

08-31 15:56:51.757 10175 10175 F DEBUG   : Timestamp: 2023-08-31 15:56:51.708227287+0800

08-31 15:56:51.757 10175 10175 F DEBUG   : Process uptime: 0s

08-31 15:56:51.757 10175 10175 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

08-31 15:56:51.757 10175 10175 F DEBUG   : pid: 10167, tid: 10167, name: android.hardwar  >>> /vendor/bin/hw/android.hardware.audio.service <<<

08-31 15:56:51.757 10175 10175 F DEBUG   : uid: 1041

08-31 15:56:51.757 10175 10175 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------

08-31 15:56:51.757 10175 10175 F DEBUG   :     r0  00000000  r1  000027b7  r2  00000006  r3  ffaba5a8

08-31 15:56:51.757 10175 10175 F DEBUG   :     r4  ffaba5bc  r5  ffaba5a0  r6  000027b7  r7  0000016b

08-31 15:56:51.757 10175 10175 F DEBUG   :     r8  ffaba5a8  r9  ffaba5b8  r10 ffaba5d8  r11 ffaba5c8

08-31 15:56:51.757 10175 10175 F DEBUG   :     ip  000027b7  sp  ffaba578  lr  ebf7ae55  pc  ebf7ae68

08-31 15:56:51.758 10175 10175 F DEBUG   : backtrace:

08-31 15:56:51.758 10175 10175 F DEBUG   :       #00 pc 00038e68  /apex/com.android.runtime/lib/bionic/libc.so (abort+172) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #01 pc 000379f3  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::details::getProcessAgeMs()+914) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #02 pc 00035a61  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::details::onRegistrationImpl(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&,

std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)+20) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #03 pc 00037523  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::details::registerAsServiceInternal(android::sp<android::hidl::base::V1_0::IBase> const&, std::__1::basic_string<char,

std::__1::char_traits<char>, std::__1::allocator<char> > const&)+302) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #04 pc 000357b5  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::details::registerPassthroughServiceImplementation(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >

const&, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, std::__1::function<int

(android::sp<android::hidl::base::V1_0::IBase> const&, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)>,

std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)+468) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #05 pc 000358bf  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::registerPassthroughServiceImplementation(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&,

std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, std::__1::basic_string<char, std::__1::char_traits<char>,

std::__1::allocator<char> > const&)+30) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #06 pc 000025e5  /vendor/bin/hw/android.hardware.audio.service (main+2356) (BuildId:

b5ba2845ffd2ad1c80c85239344b8c71)

08-31 15:56:51.758 10175 10175 F DEBUG   :       #07 pc 0003248b  /apex/com.android.runtime/lib/bionic/libc.so (__libc_init+54) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

08-31 15:56:51.771     0     0 I [2324649.974409] init: Service 'vendor.audio-hal' (pid 10167) received signal 6

08-31 15:56:51.773  9477  9570 I dropbox_file_copy: [/data/tombstones/tombstone_02,98304,SYSTEM_TOMBSTONE]

08-31 15:56:51.776  9477  9570 I commit_sys_config_file: [log-files,80097]

08-31 15:56:51.782  9477  9570 I commit_sys_config_file: [log-files,80103]

08-31 15:56:55.387 10185 10185 I auditd  : type=1400 audit(0.0:15514654): avc: denied { read } for comm="app_process" name="u:object_r:odsign_prop:s0"

dev="tmpfs" ino=15641 scontext=u:r:shell:s0 tcontext=u:object_r:odsign_prop:s0 tclass=file permissive=1

08-31 15:56:55.387 10185 10185 I auditd  : type=1400 audit(0.0:15514655): avc: denied { open } for comm="app_process"

path="/dev/__properties__/u:object_r:odsign_prop:s0" dev="tmpfs" ino=15641 scontext=u:r:shell:s0 tcontext=u:object_r:odsign_prop:s0 tclass=file permissive=1

08-31 15:56:55.387 10185 10185 I auditd  : type=1400 audit(0.0:15514656): avc: denied { getattr } for comm="app_process"

path="/dev/__properties__/u:object_r:odsign_prop:s0" dev="tmpfs" ino=15641 scontext=u:r:shell:s0 tcontext=u:object_r:odsign_prop:s0 tclass=file permissive=1

08-31 15:56:55.387 10185 10185 I auditd  : type=1400 audit(0.0:15514657): avc: denied { map } for comm="app_process"

path="/dev/__properties__/u:object_r:odsign_prop:s0" dev="tmpfs" ino=15641 scontext=u:r:shell:s0 tcontext=u:object_r:odsign_prop:s0 tclass=file permissive=1

08-31 15:56:55.479     0     0 I [2324653.681950] binder: 10185:10185 ioctl 40046210 7fff8cede4 returned -22

08-31 15:56:55.651     0     0 I [2324653.853470] binder: 10201:10201 ioctl 40046210 7ff55e8154 returned -22

08-31 15:56:55.659     0     0 I [2324653.862717] binder: 10201:10202 ioctl 40046210 7a38084374 returned -22
■ Next action

麻烦 audio 侧帮忙看看 audio service 没有起起来的原因。

Files

log.txt 8.22 MB 2023-08-31 物联网测试组_TSCD 王维
